List chargers in location

View as Markdown

List charger deployments that belong to the selected location. When charger_ids is provided, only those chargers are returned.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

location_idstringRequired
Internal location identifier returned by the location CRUD API.

Query parameters

pageintegerOptional>=1Defaults to 1

One-based page number for paginated location charger results.

limitintegerOptional1-100Defaults to 50

Maximum number of location-scoped chargers to return per page. The maximum accepted value is 100.

charger_idslist of strings or nullOptional
Optional internal charger deployment ids to fetch from the selected location. Repeat the query parameter to target multiple chargers.

Response

Location chargers retrieved successfully
datalist of objects
totalinteger
pageinteger
limitinteger

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error